routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth/login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

/*
    Customer Route
*/
Route::resource('customerorder', 'CustomerOrderController');


/*
    Stokis Route
*/
Route::get('admin/stokis/dashboard/{id}', 'StokisController@dashboard')->name('admin.stokis.dashboard');
Route::get('admin/stokis/order/{id}', 'StokisController@order')->name('admin.stokis.order');
Route::resource('admin/stokis', 'StokisController', ['as' => 'admin']);

/*
    Customer
*/
Route::resource('admin/customer', 'CustomerController', ['as' => 'admin']);
Route::get('customers', 'CustomerController@getAll')->name('customer');
Route::get('customer/edit{id}', 'CustomerController@edit')->name('customer.edit');


/*
    Order Route
*/
Route::get('orders/stokisapprove/{id}', 'OrderController@stokisapprove')->name('orders.stokisapprove');
Route::get('orders/stokisreject/{id}', 'OrderController@stokisreject')->name('orders.stokisreject');
Route::get('orders/approve', 'OrderController@approve')->name('orders.approve');
Route::get('orders/history', 'OrderController@history')->name('orders.history');
Route::resource('orders', 'OrderController');

/*
    Personal Profile Route
*/
Route::resource('profile', 'ProfileController');

/*
    Personal Profile Route
*/
Route::resource('dashboard', 'DashboardController');

/*
    Customer Route
*/
Route::get('customer/get/{id}', 'CustomerOrderController@getCustomer');
Route::resource('customerorders', 'CustomerOrderController');





/*
    Admin Route
*/
Route::get('admin/summary', 'AdminOrderController@summary')->name('admin.summary');
Route::get('admin/reject/{id}', 'AdminOrderController@reject')->name('admin.reject');
Route::get('admin/pending', 'AdminOrderController@pending')->name('admin.pending');
Route::resource('admin', 'AdminOrderController');

resources/views/admin/customer.blade.php
@extends('layouts.layout')

@section('description')
<div>
    <h4>Customer Database</h4>
    <p> Here you can view all Customer Database.</p>
</div>
@endsection

@section('content')
@if(session()->get('success'))
    <div class="alert alert-success">
        {{ session()->get('success') }}
    </div><br />
@endif
@if ($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
    </ul>
</div><br/>
@endif
<div class="container-fluid dashboard">
    <div class="row">
        <div class="col-md-12 white-background purchase">
            <div class="row">
                <div class="col-md-12 header-purchase">
                    <h5> Customer Database</h5>
                </div>
            </div>
            <table class="table-bordered order-table">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Date Registered</th>
                        <th>Customer ID</th>
                        <th>Customer Details</th>
                        <th>Order History</th>
                        <th> Stokis / Agent </th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                @foreach($users as $user)
                <tr>
                    <td>{{$user->id}}</td>
                    <td>{{date('d/m/Y', strtotime($user->created_at))}}</td>
                    <td>JCI{{date('dmy', strtotime($user->created_at))}}-{{str_pad($user->id, 4, '0', STR_PAD_LEFT)}}</td>
                    <td>
                        <p>Name : {{$user->name}}</p>
                        <p>Phone : {{$user->phone_number}}</p>
                        <p>Address : {{$user->address}}</p>
                    </td>
                    <td>
                    @foreach($new_user->user as $current_user)
                        @if($current_user->id == $user->id)
                            @foreach($current_user->product as $product)
                            <p>{{$product->name}} x {{$product->quantity}} unit</p>
                            @endforeach
                        @endif
                    @endforeach
                    </td>
                    <td><p>{{$user->user->name}}
                    </p></td>
                    <td>
                        <p><a class="dropdown-item" href="{{ route('admin.customer.edit',$user->id)}}">Edit</a></p>
                    </td>
                </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <div class="text-xs-center">
        {{ $users->links() }}
    </div>
</div>
@endsection

resources/views/admin/order.blade.php
@extends('layouts.layout')

@section('description')
<div>
    <h4>Order Overview</h4>
    <p> Orders are listed here.</p>
</div>
@endsection

@section('content')
@if(session()->get('success'))
    <div class="alert alert-success">
        {{ session()->get('success') }}
    </div><br />
@endif
@if ($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
    </ul>
</div><br/>
@endif

<div class="container-fluid dashboard">
    <div class="row">
        <div class="col-md-12 white-background purchase">
            <div class="row">
                <div class="col-md-12 header-purchase">
                    @if (Route::currentRouteName() == 'admin.pending')
                    <h5>  Pending Order </h5>
                    @else
                    <h5>  Order History</h5>
                    @endif
                </div>
            </div>
            <table class="table-bordered order-table">
                <thead>
                    <tr>
                        <th>Batch Number</th>
                        <th>Order Number</th>
                        <th>Stokis ID</th>
                        <th>Stokis Details</th>
                        <th>Order Details</th>
                        <th>Total Price</th>
                        <th>Last Updated</th>
                        @if (Route::currentRouteName() == 'admin.pending')
                        <th>Action</th>
                        @else
                        <th>Status</th>
                        @endif
                    </tr>
                </thead>
                <tbody>

                @foreach($order_hqs as $order_hq)
                <tr>
                    <td>JBN{{date('dmy', strtotime($order_hq->created_at))}}-{{str_pad($order_hq->id, 4, '0', STR_PAD_LEFT)}}</td>
                    <td>
                        @foreach($order_hq->orders as $order)
                        <p>JON{{date('dmy', strtotime($order->created_at))}}-{{str_pad($order->id, 4, '0', STR_PAD_LEFT)}}</p>
                        @endforeach
                    </td>
                    <td>JSI{{date('dmy', strtotime($order_hq->user->created_at))}}-{{str_pad($order_hq->user->id, 4, '0', STR_PAD_LEFT)}}</td>
                    <td>
                        <p>Name : {{$order_hq->user->name}}</p>
                        <p>Phone : {{$order_hq->user->phone_number}}</p>
                        <p>Address : {{$order_hq->user->address}}</p>
                    </td>
                    <td style="  white-space: nowrap;">
                        @foreach($products as $product)
                        @php
                            $quantity=0;
                            foreach ($order_hq->orderproducts as $orderproduct) {
                               if($orderproduct->product->id == $product->id)
                               $quantity = $quantity + $orderproduct->quantity;
                            }
                        @endphp
                        <p>{{$product->name}} x {{$quantity}} unit</p>
                        @endforeach
                    </td>
                    <td>RM {{$order_hq->total}}</td>
                    <td>{{$order_hq->updated_at}}</td>
                    @if (Route::currentRouteName() == 'admin.pending')
                    <td>
                        <form method="get" action="{{ route('admin.edit', $order_hq->id) }}"  enctype="multipart/form-data">
                            @csrf
                            <button type="submit" class="btn gray-background ">Approve</button>
                        </form>
                        <form method="get" action="{{ route('admin.reject', $order_hq->id) }}"  enctype="multipart/form-data">
                            @csrf
                            <button type="submit" class="btn gray-background ">Reject</button>
                        </form>
                    </td>
                    @else
                    <td>{{$order_hq->status}} </td>
                    @endif
                </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <div class="text-xs-center">
        {{ $order_hqs->links() }}
    </div>
</div>
@endsection

resources/views/admin/stokis.blade.php
@if(Auth::user()->role == 'admin')
@extends('layouts.layout')

@section('description')
<div>
    <h4>Agent / Stokis Database</h4>
    <p> Here you can view all Agent / Stokis Database.</p>
</div>
@endsection

@section('content')
@if(session()->get('success'))
    <div class="alert alert-success">
        {{ session()->get('success') }}
    </div><br />
@endif
@if ($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
    </ul>
</div><br/>
@endif
<div class="container-fluid dashboard">
    <div class="row">
        <div class="col-md-12 white-background purchase">
            <div class="row">
                <div class="col-md-12 header-purchase">
                    <h5>  Agent / Stokis Database</h5>
                </div>
            </div>
            <table class="table-bordered order-table">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Date Registered</th>
                        <th>Status & ID</th>
                        <th>Stokis Details</th>
                        <th>Order History</th>
                        <th>Leader</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                @foreach($users as $user)
                <tr>
                    <td>{{$user->id}}</td>
                    <td>{{date('d/m/Y', strtotime($user->created_at))}}</td>
                    <td>{{ ucfirst($user->role)}} : JSI{{date('dmy', strtotime($user->created_at))}}-{{str_pad($user->id, 4, '0', STR_PAD_LEFT)}}</td>
                    <td>
                        <p>Name : {{$user->name}}</p>
                        <p>Phone : {{$user->phone_number}}</p>
                        <p>Address : {{$user->address}}</p>
                        <p>Email : {{$user->email}}</p>
                    </td>
                    <td>
                    @foreach($new_user->user as $current_user)
                        @if($current_user->id == $user->id)
                            @foreach($current_user->product as $product)
                            <p>{{$product->name}} x {{$product->quantity}} unit</p>
                            @endforeach
                        @endif
                    @endforeach
                    </td>
                    <td><p>
                    @if(!isset($user->leader))
                    HQ
                    @else
                    {{$user->leader->name}}
                    @endif
                    </p></td>
                    <td>
                        <p><a class="dropdown-item" href="{{ route('admin.stokis.edit',$user->id)}}">Edit</a></p>
                        <p><a class="dropdown-item" href="{{ route('admin.stokis.dashboard',$user->id)}}">View "Dashboard Overview Page"</a></p>
                        <p><a class="dropdown-item" href="{{ route('admin.stokis.order',$user->id)}}">View "Product Purchase Page"</a></p>
                    </td>
                </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <div class="text-xs-center">
            {{ $users->links() }}
        </div>
</div>
@endsection
@else
    <script>window.location = "/";</script>
@endif

resources/views/admin/summary.blade.php
@extends('layouts.layout')

@section('description')
<div>
    <h4>Order Overview</h4>
    <p> Orders are listed here.</p>
</div>
@endsection

@section('content')
@if(session()->get('success'))
    <div class="alert alert-success">
        {{ session()->get('success') }}
    </div><br />
@endif
@if ($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
    </ul>
</div><br/>
@endif

{{--@foreach($order_hqs->groupBy('approved_at') as $day_order=>$order)
<pre>
    {{var_dump($order[0]->attributes,true)}}
</pre>
@endforeach--}}

<div class="container-fluid dashboard">
    <div class="row">
        <div class="col-md-12 white-background purchase">
            <div class="row">
                <div class="col-md-12 header-purchase">
                    <h5> Order Summary by day (Approved by HQ)</h5>
                </div>
            </div>
            <table class="table-bordered order-table">
                <thead>
                    <tr>
                        <th>Approved Date</th>
                        <th>Batch Number</th>
                        <th>Order Details</th>
                        <th>Total Sale Per Day</th>
                    </tr>
                </thead>
                <tbody>
                        @foreach($order_hqs->groupBy('approved_at') as $day_order=> $orders)
                        <tr>
                        <td>{{$orders[0]->approved_at}}</td>
                        <td>
                        @foreach($orders as $order)
                           <p> JBN{{date('dmy', strtotime($order->created_at))}}-{{str_pad($order->id, 4, '0', STR_PAD_LEFT)}} </p>
                        @endforeach
                        </td>

                        <td>
                        @foreach($products as $product)
                            @php

                                $quantity=0;
                                foreach($orders as $order) {
                                    foreach ($order_hqs as $order_hq) {
                                        if($order_hq->id == $order->id){
                                            foreach ($order_hq->orderproducts as $orderproduct) {
                                                if($orderproduct->product->id == $product->id)
                                                    $quantity = $quantity + $orderproduct->quantity;
                                            }
                                        }
                                    }
                                }
                            @endphp
                        <p>{{$product->name}} x {{$quantity}} unit</p>
                        @endforeach
                        </td>
                        <td>
                        @php
                            $totalprice = 0.00;

                        foreach($orders as $order)
                            $totalprice  =  $totalprice + $order->total;
                        @endphp
                        RM {{$totalprice}}
                        </td>
                        </tr>
                        @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection